"GOT", but the "O" is a cute, smiling pufferfish. Index | Thread | Search

From:
Omar Polo <op@omarpolo.com>
Subject:
got-build-regress.sh: build gotd too
To:
gameoftrees@openbsd.org
Date:
Fri, 17 Feb 2023 18:01:32 +0100

Download raw body.

Thread
  • Omar Polo:

    got-build-regress.sh: build gotd too

as per subject.  Regarding the gotd regress suite we may add a flag to
enable it since it requires doas/sudo ?

diff /home/op/w/gotd
commit - 98350b2093e571c5d8143e22d85c1f515a6c85f4
path + /home/op/w/gotd
blob - e28ef4b462c922a18dc79fbf51e8e0ee0c2dded3
file + util/got-build-regress.sh
--- util/got-build-regress.sh
+++ util/got-build-regress.sh
@@ -103,6 +103,12 @@ fi
 	mail $fromaddr_arg -s "$prog build failure" $recipients < build.log
 	exit 0
 fi
+log_cmd build.log make -j $ncpu server
+build_status="$?"
+if [ "$build_status" -ne 0 ]; then
+	mail $fromaddr_arg -s "$prog build failure" $recipients < build.log
+	exit 0
+fi
 
 printf "\n\n\tRunning tests\n\n" >> build.log
 log_cmd regress.log env PATH=$HOME/bin:$PATH make regress GOT_TEST_ROOT="$testroot"
@@ -148,6 +154,7 @@ build_status="$?"
 log_cmd build.log make obj
 log_cmd build.log make -j $ncpu GOT_RELEASE=Yes
 log_cmd build.log make -j $ncpu GOT_RELEASE=Yes webd
+log_cmd build.log make -j $ncpu GOT_RELEASE=Yes server
 build_status="$?"
 if [ "$build_status" -ne 0 ]; then
 	mail $fromaddr_arg -s "$prog release mode build failure" $recipients < build.log